View Issue Details

IDProjectCategoryView StatusLast Update
0033180LazarusIDEpublic2018-02-24 22:44
ReporterAlexey Tor.Assigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformlinux x64OSOS Version
Product Version1.9 (SVN)Product Build 
Target Version1.8.2Fixed in Version1.8.2 
Summary0033180: IDE completion listbox overlaps caret area, if on bottom
DescriptionI see real work problem.
added 2 screens.
they show that text caret is near bottom. and autocompletion listbox overlaps caret.

Must be: autocompletion list shows upper than caret.
TagsNo tags attached.
Fixed in Revision57361
LazTarget1.8.2
Widgetset
Attached Files

Activities

Alexey Tor.

2018-02-16 11:54

reporter  

nospace.png (526,224 bytes)

Alexey Tor.

2018-02-16 11:54

reporter  

nospace-2.png (525,855 bytes)

Martin Friebe

2018-02-20 17:02

manager   ~0106485

It seems on windows the completion Window can overlap the taskbar, but that is not allowed under your Linux version.

In components\synedit\syncompletion.pas
  procedure TSynBaseCompletion.Execute(s: string; TokenRect: TRect);

1) Can you test with
  SpaceBelow := Mon.WorkareaRect.Bottom - TokenRect.Bottom;
  SpaceAbove := TokenRect.Top - Mon.WorkareaRect.Top;

The full fix would need more, but for testing that should be good.


2) Can you provide the output of:
After calculating SpaceAbove (either with or without the above change, but indicate if applied)

  SpaceBelow := Mon.Height - TokenRect.Bottom;
  SpaceAbove := TokenRect.Top - Mon.Top;
debugln([' Mon.Height: ', Mon.Handle, ' Mon.Top: ', Mon.Top, ' Mon.Width: ', Mon.Width, ' Mon.Left: ', Mon.Left, ' SpaceBelow: ', SpaceBelow, ' SpaceAbove: ', SpaceAbove, ' TokenRect: ',dbgs(TokenRect), ' Form.Height: ', Form.Height, ' Mon.WorkareaRect: ', dbgs(Mon.WorkareaRect) ]);
  if Form.Height < SpaceBelow then


And do the values make sense?
What is your monitor height?
What is the height of the Taskbar / monitor without it?

Martin Friebe

2018-02-20 17:07

manager   ~0106486

If you can put the taskbar on top, test with that too, please.

Alexey Tor.

2018-02-24 14:28

reporter   ~0106566

1) I tested this yet. diff fixes issue, so listbox don't overlap caret.

Issue History

Date Modified Username Field Change
2018-02-16 11:53 Alexey Tor. New Issue
2018-02-16 11:54 Alexey Tor. File Added: nospace.png
2018-02-16 11:54 Alexey Tor. File Added: nospace-2.png
2018-02-20 17:02 Martin Friebe Note Added: 0106485
2018-02-20 17:02 Martin Friebe Assigned To => Martin Friebe
2018-02-20 17:02 Martin Friebe Status new => assigned
2018-02-20 17:02 Martin Friebe LazTarget => -
2018-02-20 17:02 Martin Friebe Status assigned => feedback
2018-02-20 17:07 Martin Friebe Note Added: 0106486
2018-02-24 14:28 Alexey Tor. Note Added: 0106566
2018-02-24 14:28 Alexey Tor. Status feedback => assigned
2018-02-24 22:44 Martin Friebe Fixed in Revision => 57361
2018-02-24 22:44 Martin Friebe LazTarget - => 1.8.2
2018-02-24 22:44 Martin Friebe Status assigned => resolved
2018-02-24 22:44 Martin Friebe Fixed in Version => 1.8.2
2018-02-24 22:44 Martin Friebe Resolution open => fixed
2018-02-24 22:44 Martin Friebe Target Version => 1.8.2